<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingBottom="80dp"
    tools:background="@color/black"
    tools:ignore="HardcodedText">

    <com.tencent.qcloud.tuikit.tuicallkit.widget.TimerView
        android:id="@+id/tv_timer"
        android:layout_width="wrap_content"
        android:layout_height="52dp"
        android:gravity="center"
        android:includeFontPadding="false"
        android:textColor="@color/white"
        android:textSize="18sp"
        android:visibility="invisible"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="00:00"
        tools:visibility="visible" />

    <!--通话中-->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/v_chatting"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingHorizontal="48dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_timer">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/btn_mic"
            android:layout_width="51dp"
            android:layout_height="51dp"
            android:duplicateParentState="true"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/btn_hangup"
            app:layout_constraintHorizontal_chainStyle="spread_inside"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/call_mic_enable_ic"
            tools:visibility="visible" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/btn_hangup"
            android:layout_width="74dp"
            android:layout_height="74dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/btn_speaker"
            app:layout_constraintStart_toEndOf="@id/btn_mic"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/call_hangup_ic" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/btn_speaker"
            android:layout_width="51dp"
            android:layout_height="51dp"
            android:duplicateParentState="true"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/btn_hangup"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/call_speaker_enable_ic"
            tools:visibility="visible" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <!--呼叫中-->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/v_calling"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingHorizontal="48dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/v_chatting">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/btn_calling_hangup"
            android:layout_width="74dp"
            android:layout_height="74dp"
            android:duplicateParentState="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/btn_calling_accept"
            app:layout_constraintHorizontal_chainStyle="spread_inside"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/call_hangup_ic" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/btn_calling_accept"
            android:layout_width="74dp"
            android:layout_height="74dp"
            android:duplicateParentState="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/btn_calling_hangup"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/call_accept_ic" />


    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>